Send content
const url = 'https://sender.api.kivra.com/v2/tenant/example/content';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"ssn":"191212121212","subject":"Sample Invoice to User","generated_at":"2024-12-12","type":"invoice","parts":[{"name":"document.pdf","data":"REVBREJFRUY=","content_type":"application/pdf","responsive_part":{"name":"document.html","data":"PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=","content_type":"text/html"}}],"payment_multiple_options":{"payable":true,"currency":"SEK","method":"1","account":"12345","swish_alias":"1231231234","options":[{"due_date":"2017-01-01","amount":"123.50","type":"SE_OCR","reference":"426523791"}]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sender.api.kivra.com/v2/tenant/example/content \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "ssn": "191212121212", "subject": "Sample Invoice to User", "generated_at": "2024-12-12", "type": "invoice", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "payment_multiple_options": { "payable": true, "currency": "SEK", "method": "1", "account": "12345", "swish_alias": "1231231234", "options": [ { "due_date": "2017-01-01", "amount": "123.50", "type": "SE_OCR", "reference": "426523791" } ] } }'Sends content to the specified tenant. This can include documents, invoices, or other types of content that need to be delivered to users or companies within the tenant.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The unique Key for a Tenant
Request Body
Section titled “Request Body”- booking
- invite.gift
- invite.kyc
- invite.research
- invite.sign
- invite.voucher
- invoice
- invoice.debtcampaign
- invoice.debtcollection
- invoice.donation
- invoice.paymentnotice
- invoice.reminder
- invoice.renewal
- letter
- letter.creditnotice
- letter.form
- letter.salary
- letter.signed
- registered.letter
- salaryslip
- ticket.event
- Content_company
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is a booking/appointement.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally specify booking information
object
Booking name that is used when creating a post in an external calendar. Note! Don’t include any personal or sensitive information here.
Date and time for the booking to start. Must be in the future. If the time zone is not stated it will be set to UTC.
Date and time for the booking to end. If present must be after start_time. If the time zone is not stated it will be set to UTC.
Location for the appointment/booking. Address must contain city for full functionality.
Additional information. Note! Don’t include any personal or sensitive information here.
Link to page with additional information. The url must use the secure HTTPS protocol
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
For invitations to collect a gift.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Invite metadata.
object
The uri to open when the user clicks the invitation. The uri must use the secure HTTPS protocol
Who this gift is conducted on behalf of
object
Something
A Swedish VAT number (“momsregistreringsnummer”).
The expiration time for the gift, after this date, it will no longer be available.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
For invitations to complete KYC (Know Your Customer) process.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Invite metadata.
object
Title to present
Longer description
The uri to open when the user clicks the invitation. The uri must use the secure HTTPS protocol
Who this KYC invite is conducted on behalf of
object
Something
A Swedish VAT number (“momsregistreringsnummer”).
The expiration time for the survey, after this date, it will no longer be available.
The service provider
object
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
For invitations to participate in surveys and polls.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Invite metadata.
object
Longer description
The uri to open when the user clicks the invitation. The uri must use the secure HTTPS protocol
Who this research is conducted on behalf of
object
Something
A Swedish VAT number (“momsregistreringsnummer”).
The expiration time for the survey, after this date, it will no longer be available.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
For invitations to sign a document. This type supports the retain functionality.
Boolean denoting if Kivra should try and retain this Content if it can’t be delivered. Default false.
Please note that retain can only be used with content types
letter.creditnotice, letter.salary, letter.signed, salaryslip,
and invite.sign, otherwise an error with status code 422 will be returned.
How long to retain a Content. Supported values: "30" and "390"
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Invite metadata.
object
The service provider used for signing the document
object
The uri to open when the user clicks the document. The uri must use the secure HTTPS protocol
Who this document is delivered on behalf of
object
Test AB
A Swedish VAT number (“momsregistreringsnummer”).
The expiration time for the document to be signed, after this date, it will no longer be available.
Additional information. Note! Don’t include any personal or sensitive information here.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
For invitations to use a voucher
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Invite metadata.
object
Where this voucher valid
object
The uri to open when the user clicks the invitation. The uri must use the secure HTTPS protocol
Who this voucher is conducted on behalf of
object
Test AB
A Swedish VAT number (“momsregistreringsnummer”).
The expiration time for the voucher, after this date, it will no longer be available.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is an invoice. A valid payment_multiple_options object needs to be provided.
This is the default type for all payable content.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Specify payment information for both single and multiple payment options
object
Toggles whether this content should be payable through Kivra’s payment platform.
1 = BG and 2 = PG
The destination account number if the user choses to pay this invoice with a service that uses some variety of bank transfer (for example, BankGiro or PlusGiro).
The Swish Payee Alias that should be used as the recipient if the
user choses to pay this invoice with Swish. The alias given must be
one that is listed as available for the sender, or Swish will not be
offered as a payment alternative. The value can be the string
disable, in order to override a default payee alias and disable
Swish payment for this invoice only.
This field specifies the destination of a payment made through Kivra’s Autopay service. At this time, its only use is to disable automatic payment of a given invoice. In the future, this field will also be used to determine the destination accoutnt to use when the sender has more than one.
Currency used in specifying amount. In Sweden, only SEK is allowed.
A list of payment options, where each option should differ in either amount or reference
A payment option where each option should differ in either amount or reference
object
Date when this option is due.
The payment amount for this option. A number larger than or equal to 1.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
A flexible payment option. This replaces the old variable amount
functionality. A content with a flexible option must also have at
least one fixed option, to allow for old clients that don’t know how
to deal with flexible options.
The flexible option can have up to four limits: suggested maximum
and minimum, and mandatory maximum and minimum. For the suggested
limits, the user will be shown a warning when entering a sum outside
them, but will be allowed to proceeed if they want to. The mandatory
limits will be enforced, and paying amounts outside them will not be
allowed. The closest behaviour to that of the old variable amount is
achieved by setting max_limit and min_suggested.
object
Date when this option is due.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
The smallest allowed amount to be paid. If not given it defaults to 1.00 SEK.
The user is encouraged to pay more than this amount.
The user is encouraged to not pay more than this amount.
The largest allowed amount to be paid. Note that even if this amount is not given or very high, limits from the payment provider or bank will still apply.
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is an invoice or payment plan from a debt collection company. The invoice might include fees such as interest and reminder fees. A valid payment_multiple_options object needs to be provided and the payable attribute must be set to true. This content types enables long due dates with a longer notification scheme.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Specify payment information for both single and multiple payment options
object
Toggles whether this content should be payable through Kivra’s payment platform.
1 = BG and 2 = PG
The destination account number if the user choses to pay this invoice with a service that uses some variety of bank transfer (for example, BankGiro or PlusGiro).
The Swish Payee Alias that should be used as the recipient if the
user choses to pay this invoice with Swish. The alias given must be
one that is listed as available for the sender, or Swish will not be
offered as a payment alternative. The value can be the string
disable, in order to override a default payee alias and disable
Swish payment for this invoice only.
This field specifies the destination of a payment made through Kivra’s Autopay service. At this time, its only use is to disable automatic payment of a given invoice. In the future, this field will also be used to determine the destination accoutnt to use when the sender has more than one.
Currency used in specifying amount. In Sweden, only SEK is allowed.
A list of payment options, where each option should differ in either amount or reference
A payment option where each option should differ in either amount or reference
object
Date when this option is due.
The payment amount for this option. A number larger than or equal to 1.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
A flexible payment option. This replaces the old variable amount
functionality. A content with a flexible option must also have at
least one fixed option, to allow for old clients that don’t know how
to deal with flexible options.
The flexible option can have up to four limits: suggested maximum
and minimum, and mandatory maximum and minimum. For the suggested
limits, the user will be shown a warning when entering a sum outside
them, but will be allowed to proceeed if they want to. The mandatory
limits will be enforced, and paying amounts outside them will not be
allowed. The closest behaviour to that of the old variable amount is
achieved by setting max_limit and min_suggested.
object
Date when this option is due.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
The smallest allowed amount to be paid. If not given it defaults to 1.00 SEK.
The user is encouraged to pay more than this amount.
The user is encouraged to not pay more than this amount.
The largest allowed amount to be paid. Note that even if this amount is not given or very high, limits from the payment provider or bank will still apply.
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is a debt collection claim (in Swedish: “inkassokrav”). A valid payment_multiple_options object needs to be provided and the payable attribute must be set to true.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Specify payment information for both single and multiple payment options
object
Toggles whether this content should be payable through Kivra’s payment platform.
1 = BG and 2 = PG
The destination account number if the user choses to pay this invoice with a service that uses some variety of bank transfer (for example, BankGiro or PlusGiro).
The Swish Payee Alias that should be used as the recipient if the
user choses to pay this invoice with Swish. The alias given must be
one that is listed as available for the sender, or Swish will not be
offered as a payment alternative. The value can be the string
disable, in order to override a default payee alias and disable
Swish payment for this invoice only.
This field specifies the destination of a payment made through Kivra’s Autopay service. At this time, its only use is to disable automatic payment of a given invoice. In the future, this field will also be used to determine the destination accoutnt to use when the sender has more than one.
Currency used in specifying amount. In Sweden, only SEK is allowed.
A list of payment options, where each option should differ in either amount or reference
A payment option where each option should differ in either amount or reference
object
Date when this option is due.
The payment amount for this option. A number larger than or equal to 1.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
A flexible payment option. This replaces the old variable amount
functionality. A content with a flexible option must also have at
least one fixed option, to allow for old clients that don’t know how
to deal with flexible options.
The flexible option can have up to four limits: suggested maximum
and minimum, and mandatory maximum and minimum. For the suggested
limits, the user will be shown a warning when entering a sum outside
them, but will be allowed to proceeed if they want to. The mandatory
limits will be enforced, and paying amounts outside them will not be
allowed. The closest behaviour to that of the old variable amount is
achieved by setting max_limit and min_suggested.
object
Date when this option is due.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
The smallest allowed amount to be paid. If not given it defaults to 1.00 SEK.
The user is encouraged to pay more than this amount.
The user is encouraged to not pay more than this amount.
The largest allowed amount to be paid. Note that even if this amount is not given or very high, limits from the payment provider or bank will still apply.
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is a donation where the payment by the user is optional. A valid payment_multiple_options object needs to be provided and the payable attribute must be set to true.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Specify payment information for both single and multiple payment options
object
Toggles whether this content should be payable through Kivra’s payment platform.
1 = BG and 2 = PG
The destination account number if the user choses to pay this invoice with a service that uses some variety of bank transfer (for example, BankGiro or PlusGiro).
The Swish Payee Alias that should be used as the recipient if the
user choses to pay this invoice with Swish. The alias given must be
one that is listed as available for the sender, or Swish will not be
offered as a payment alternative. The value can be the string
disable, in order to override a default payee alias and disable
Swish payment for this invoice only.
This field specifies the destination of a payment made through Kivra’s Autopay service. At this time, its only use is to disable automatic payment of a given invoice. In the future, this field will also be used to determine the destination accoutnt to use when the sender has more than one.
Currency used in specifying amount. In Sweden, only SEK is allowed.
A list of payment options, where each option should differ in either amount or reference
A payment option where each option should differ in either amount or reference
object
Date when this option is due.
The payment amount for this option. A number larger than or equal to 1.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
A flexible payment option. This replaces the old variable amount
functionality. A content with a flexible option must also have at
least one fixed option, to allow for old clients that don’t know how
to deal with flexible options.
The flexible option can have up to four limits: suggested maximum
and minimum, and mandatory maximum and minimum. For the suggested
limits, the user will be shown a warning when entering a sum outside
them, but will be allowed to proceeed if they want to. The mandatory
limits will be enforced, and paying amounts outside them will not be
allowed. The closest behaviour to that of the old variable amount is
achieved by setting max_limit and min_suggested.
object
Date when this option is due.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
The smallest allowed amount to be paid. If not given it defaults to 1.00 SEK.
The user is encouraged to pay more than this amount.
The user is encouraged to not pay more than this amount.
The largest allowed amount to be paid. Note that even if this amount is not given or very high, limits from the payment provider or bank will still apply.
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is a payment notice targeting the needs of membership organizations. A valid payment_multiple_options object needs to be provided and the payable attribute must be set to true.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Specify payment information for both single and multiple payment options
object
Toggles whether this content should be payable through Kivra’s payment platform.
1 = BG and 2 = PG
The destination account number if the user choses to pay this invoice with a service that uses some variety of bank transfer (for example, BankGiro or PlusGiro).
The Swish Payee Alias that should be used as the recipient if the
user choses to pay this invoice with Swish. The alias given must be
one that is listed as available for the sender, or Swish will not be
offered as a payment alternative. The value can be the string
disable, in order to override a default payee alias and disable
Swish payment for this invoice only.
This field specifies the destination of a payment made through Kivra’s Autopay service. At this time, its only use is to disable automatic payment of a given invoice. In the future, this field will also be used to determine the destination accoutnt to use when the sender has more than one.
Currency used in specifying amount. In Sweden, only SEK is allowed.
A list of payment options, where each option should differ in either amount or reference
A payment option where each option should differ in either amount or reference
object
Date when this option is due.
The payment amount for this option. A number larger than or equal to 1.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
A flexible payment option. This replaces the old variable amount
functionality. A content with a flexible option must also have at
least one fixed option, to allow for old clients that don’t know how
to deal with flexible options.
The flexible option can have up to four limits: suggested maximum
and minimum, and mandatory maximum and minimum. For the suggested
limits, the user will be shown a warning when entering a sum outside
them, but will be allowed to proceeed if they want to. The mandatory
limits will be enforced, and paying amounts outside them will not be
allowed. The closest behaviour to that of the old variable amount is
achieved by setting max_limit and min_suggested.
object
Date when this option is due.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
The smallest allowed amount to be paid. If not given it defaults to 1.00 SEK.
The user is encouraged to pay more than this amount.
The user is encouraged to not pay more than this amount.
The largest allowed amount to be paid. Note that even if this amount is not given or very high, limits from the payment provider or bank will still apply.
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is an invoice, a reminder for a previously unpaid invoice. The invoice might include late fees and other differences compared to the original invoice. A valid payment_multiple_options object needs to be provided and the payable attribute must be set to true.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Specify payment information for both single and multiple payment options
object
Toggles whether this content should be payable through Kivra’s payment platform.
1 = BG and 2 = PG
The destination account number if the user choses to pay this invoice with a service that uses some variety of bank transfer (for example, BankGiro or PlusGiro).
The Swish Payee Alias that should be used as the recipient if the
user choses to pay this invoice with Swish. The alias given must be
one that is listed as available for the sender, or Swish will not be
offered as a payment alternative. The value can be the string
disable, in order to override a default payee alias and disable
Swish payment for this invoice only.
This field specifies the destination of a payment made through Kivra’s Autopay service. At this time, its only use is to disable automatic payment of a given invoice. In the future, this field will also be used to determine the destination accoutnt to use when the sender has more than one.
Currency used in specifying amount. In Sweden, only SEK is allowed.
A list of payment options, where each option should differ in either amount or reference
A payment option where each option should differ in either amount or reference
object
Date when this option is due.
The payment amount for this option. A number larger than or equal to 1.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
A flexible payment option. This replaces the old variable amount
functionality. A content with a flexible option must also have at
least one fixed option, to allow for old clients that don’t know how
to deal with flexible options.
The flexible option can have up to four limits: suggested maximum
and minimum, and mandatory maximum and minimum. For the suggested
limits, the user will be shown a warning when entering a sum outside
them, but will be allowed to proceeed if they want to. The mandatory
limits will be enforced, and paying amounts outside them will not be
allowed. The closest behaviour to that of the old variable amount is
achieved by setting max_limit and min_suggested.
object
Date when this option is due.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
The smallest allowed amount to be paid. If not given it defaults to 1.00 SEK.
The user is encouraged to pay more than this amount.
The user is encouraged to not pay more than this amount.
The largest allowed amount to be paid. Note that even if this amount is not given or very high, limits from the payment provider or bank will still apply.
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is not a real invoice, but an offer that is voluntary to pay for the receiver. It can be used to send an offer to renew a subscription, insurance or similar. A valid payment_multiple_options object needs to be provided and the payable attribute must be set to true.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Specify payment information for both single and multiple payment options
object
Toggles whether this content should be payable through Kivra’s payment platform.
1 = BG and 2 = PG
The destination account number if the user choses to pay this invoice with a service that uses some variety of bank transfer (for example, BankGiro or PlusGiro).
The Swish Payee Alias that should be used as the recipient if the
user choses to pay this invoice with Swish. The alias given must be
one that is listed as available for the sender, or Swish will not be
offered as a payment alternative. The value can be the string
disable, in order to override a default payee alias and disable
Swish payment for this invoice only.
This field specifies the destination of a payment made through Kivra’s Autopay service. At this time, its only use is to disable automatic payment of a given invoice. In the future, this field will also be used to determine the destination accoutnt to use when the sender has more than one.
Currency used in specifying amount. In Sweden, only SEK is allowed.
A list of payment options, where each option should differ in either amount or reference
A payment option where each option should differ in either amount or reference
object
Date when this option is due.
The payment amount for this option. A number larger than or equal to 1.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
A flexible payment option. This replaces the old variable amount
functionality. A content with a flexible option must also have at
least one fixed option, to allow for old clients that don’t know how
to deal with flexible options.
The flexible option can have up to four limits: suggested maximum
and minimum, and mandatory maximum and minimum. For the suggested
limits, the user will be shown a warning when entering a sum outside
them, but will be allowed to proceeed if they want to. The mandatory
limits will be enforced, and paying amounts outside them will not be
allowed. The closest behaviour to that of the old variable amount is
achieved by setting max_limit and min_suggested.
object
Date when this option is due.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
The smallest allowed amount to be paid. If not given it defaults to 1.00 SEK.
The user is encouraged to pay more than this amount.
The user is encouraged to not pay more than this amount.
The largest allowed amount to be paid. Note that even if this amount is not given or very high, limits from the payment provider or bank will still apply.
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is an information letter. This is the default type for all non-payable content.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is a creditnotice. This type supports the retain functionality.
Boolean denoting if Kivra should try and retain this Content if it can’t be delivered. Default false.
Please note that retain can only be used with content types
letter.creditnotice, letter.salary, letter.signed, salaryslip,
and invite.sign, otherwise an error with status code 422 will be returned.
How long to retain a Content. Supported values: "30" and "390"
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content contains a form.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Optionally attach a form
object
The form template key
Reference data you want to include in the form response.
object
Number of days in which a response to the form can be submitted (until 23:59:59). As an example, if the content is sent on September 8th, and the form expires in 30 days, it will effectively expire on October 7th 23:59:59.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is a salary specification. This type supports the retain functionality.
Boolean denoting if Kivra should try and retain this Content if it can’t be delivered. Default false.
Please note that retain can only be used with content types
letter.creditnotice, letter.salary, letter.signed, salaryslip,
and invite.sign, otherwise an error with status code 422 will be returned.
How long to retain a Content. Supported values: "30" and "390"
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicates that the content contains a signed document.
This type supports the retain functionality.
Boolean denoting if Kivra should try and retain this Content if it can’t be delivered. Default false.
Please note that retain can only be used with content types
letter.creditnotice, letter.salary, letter.signed, salaryslip,
and invite.sign, otherwise an error with status code 422 will be returned.
How long to retain a Content. Supported values: "30" and "390"
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Optional signed metadata
object
Who this document is delivered on behalf of
object
Test AB
A Swedish VAT number (“momsregistreringsnummer”).
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is a registered letter. A valid registered object needs to be provided. Note that email matching is not yet supported for this content type.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Optional registered letter
object
When the registered letter expires, max 30 days from now.
- Time will always be set to end-of-day, regardless of whether time is specified or not.
Specifies which fields that should be hidden in the Kivra Inbox.
object
False if the sender name and icon should be shown in the Kivra Inbox.
False if the subject should be shown in the Kivra Inbox.
Any reference that the sender might want to include.
object
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is a salary slip with
structured metadata. A valid salaryslip object needs to
be provided. The data includes detailed payment
information, employer details, benefits, holidays, and tax
information. This type supports the retain
functionality. Note that if an HTML-version is stated, it
will overwrite the structured data view.
Boolean denoting if Kivra should try and retain this Content if it can’t be delivered. Default false.
Please note that retain can only be used with content types
letter.creditnotice, letter.salary, letter.signed, salaryslip,
and invite.sign, otherwise an error with status code 422 will be returned.
How long to retain a Content. Supported values: "30" and "390"
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Optional salary slip
object
Metadata about the salary slip document creation and source.
object
Timestamp when this salary slip document was created in the source system. ISO 8601 format in UTC with no timezone offset (e.g., YYYY-MM-DDTHH:MM:SSZ).
Name or identifier of the payroll system that generated this salary slip.
Employment details for the employee.
object
Date when the employment started. YYYY-MM-DD
Type of employment.
Number of weekly working hours.
Identifier for the organizational unit or department.
Information about the employer paying the salary.
object
Legal name of the employer.
object
Employer VAT number.
Employer organization identifier.
object
Physical address of the employer.
object
Street address of the employer.
Postal code.
City name.
Country name.
Email address of the employer.
Telephone number of the employer. Spaces and dashes allowed, but no parentheses.
Total accumulated gross salary for the year to date.
object
Total accumulated gross salary for the year to date.
ISO 4217 currency code (3 uppercase letters)
Total accumulated taxes deducted for the year to date.
object
Total accumulated taxes deducted for the year to date.
ISO 4217 currency code (3 uppercase letters)
Information about the current pay period, including dates, salary, gross and net pay, and tax deducted.
object
Start date of the pay period. YYYY-MM-DD
End date of the pay period. YYYY-MM-DD
Date when the salary will be paid out to the employee. YYYY-MM-DD
Total number of hours worked during the pay period.
Number of overtime hours worked during the pay period.
Effective tax rate as a percentage.
List of absences during this pay period.
object
Type of absence.
Duration of the absence in hours.
Vacation pay amount for this pay period.
object
Vacation pay amount for this period.
ISO 4217 currency code (3 uppercase letters)
Basic contractual salary for this pay period.
object
Basic contractual salary for this pay period.
ISO 4217 currency code (3 uppercase letters)
Total gross salary for this pay period before tax deductions.
object
Total gross salary for this pay period before tax deductions.
ISO 4217 currency code (3 uppercase letters)
Total tax deducted from the gross pay for this pay period.
object
Total tax deducted from the gross pay for this period.
ISO 4217 currency code (3 uppercase letters)
List of additional payments for this pay period.
object
Type of additional payment.
Amount of the additional payment.
ISO 4217 currency code (3 uppercase letters)
Net salary to be paid out to the employee after all deductions.
object
Net salary to be paid out to the employee after all deductions.
ISO 4217 currency code (3 uppercase letters)
Employee benefits provided by the employer.
object
Type of benefit.
Benefit amount.
ISO 4217 currency code (3 uppercase letters)
Full description of benefit.
Tax-related information for this pay period.
object
Tax code information used for this employee.
object
Tax code identifier.
Tax code schema or system.
Details about tax deductions for this employee.
object
Whether this is the employee’s main source of income.
Authority or organization providing the tax deduction details.
Bank account information where the salary will be paid.
object
Account identifier (e.g., IBAN or local account number).
Schema or format of the account identifier (e.g., “IBAN”, “Account Number”, “Bankgiro”, “Plusgiro”).
Name of the bank.
Holiday and vacation information for the employee.
object
The period covered by this holiday information.
object
Start date of the holiday period. YYYY-MM-DD
End date of the holiday period. YYYY-MM-DD
Total number of vacation days the employee is entitled to.
Number of vacation days saved from previous years.
Number of vacation days used during this period.
Number of vacation days remaining after this period.
object
User’s unique SSN, according to the YYYYMMDDnnnn format
A kivra user’s verified email address.
The subject/title will be visibile in the Recipients Inbox. Keep the subject short and concise (i.e. up to 30-35 characters) to make sure that is fully visible on most screen sizes. Avoid using personal or sensitive information in the subject.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Indicating that the content is a ticket for an event. A
valid ticket object needs to be provided. Note that even
if multiple parts are stated in a ticket, only one part
will be displayed.
Array of file Objects
object
Arbritrary file-name
Base64-encoded data for the PDF content
The IANA media type for PDF files “application/pdf”
object
Arbritrary file-name
Base64-encoded data for the HTML document
The IANA media type for HTML content “text/html”
Optionally attach a campaign
object
The tag that refers to the campaign that you want to attach. Note that the request will still be processed even if the campaign does not exist.
Optional ticket metadata
object
Reference to the event (created via /tickets/event)
Optional order identifier
object
QR code data for the group ticket
object
object
QR code data for the ticket
Ticket type (e.g., “Standard”, “VIP”)
object
A valid VAT-identifier, Swedish format: SE[xxxxxxxxxx]01
This Subject/Title will be visibile in the Recipients Inbox.
Optional attribute which denotes when a specific Content was generated at the tenant/integrator’s site. The attribute will be used for sorting in the Kivra user interface, which makes it possible for a tenant or integrator to control the sorting.
Optional attribute providing information about the type of content being sent. The type of a content may influence how the user interacts with the content and how the user is notified about the content. Allowed values are:
"accounting.invoice": indicating that the content is a structured invoice that can be shared to the accounting system used by the receiver. A validinvoiceobject needs to be provided."accounting.invoicereminder": indicating that the content is a structured invoice (reminder) that can be shared to the accounting system used by the receiver. A validinvoiceobject needs to be provided."accounting.invoicecreditnote": indicating that the content is a structured invoice (credit invoice) that can be shared to the accounting system used by the receiver. A validinvoiceobject needs to be provided."letter": indicating that the content is an information letter. This is the default type for all non-payable content."invoice": indicating that the content contains payment information. This value can only be used when a “payment” object is provided. This is the default type for all payable content."letter.salary": indicating that the content is a salary specification. Note:letter.salarywill be deprecated from October 1st 2026."letter.creditnotice": indicating that the content is a creditnotice."invite.research": indicating that the content is an invitation to participate in a survey or poll."invite.kyc": indicating that the content is an invitation to complete a KYC (Know Your Customer) process.
Files composing the content
object
The IANA media type corresponding to the file, e.g. “application/pdf”
The cheksum of the document calculated with md5
Hash of the document calculated with SHA-256
Size of the document in bytes
Body of the content (present only if content_type is “text/html” or “text/plain”)
The unique key for the content file (present for all content that is not “text/html” or “text/plain”)
Specify payment information for both single and multiple payment options
object
Toggles whether this content should be payable through Kivra’s payment platform.
1 = BG and 2 = PG
The destination account number if the user choses to pay this invoice with a service that uses some variety of bank transfer (for example, BankGiro or PlusGiro).
The Swish Payee Alias that should be used as the recipient if the
user choses to pay this invoice with Swish. The alias given must be
one that is listed as available for the sender, or Swish will not be
offered as a payment alternative. The value can be the string
disable, in order to override a default payee alias and disable
Swish payment for this invoice only.
This field specifies the destination of a payment made through Kivra’s Autopay service. At this time, its only use is to disable automatic payment of a given invoice. In the future, this field will also be used to determine the destination accoutnt to use when the sender has more than one.
Currency used in specifying amount. In Sweden, only SEK is allowed.
A list of payment options, where each option should differ in either amount or reference
A payment option where each option should differ in either amount or reference
object
Date when this option is due.
The payment amount for this option. A number larger than or equal to 1.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
A flexible payment option. This replaces the old variable amount
functionality. A content with a flexible option must also have at
least one fixed option, to allow for old clients that don’t know how
to deal with flexible options.
The flexible option can have up to four limits: suggested maximum
and minimum, and mandatory maximum and minimum. For the suggested
limits, the user will be shown a warning when entering a sum outside
them, but will be allowed to proceeed if they want to. The mandatory
limits will be enforced, and paying amounts outside them will not be
allowed. The closest behaviour to that of the old variable amount is
achieved by setting max_limit and min_suggested.
object
Date when this option is due.
Type of format for the reference
The reference number used for paying. This can be maximum 25 characters long.
Title for this option
Optional description for this option
object
Arbitrary filename
Base64-encoded data. Max size is 134 kB when encoded which is roughly equivalent to 100 kB before encoding. The image format must be PNG. The image must be quadratic (that is, width and height must be the same). The sides must be at least 256 pixels long, and at most 512 pixels long. The image must have an alpha channel.
The IANA media type corresponding to the file, e.g. “image/png”
This string is ignored by the documentation system
The smallest allowed amount to be paid. If not given it defaults to 1.00 SEK.
The user is encouraged to pay more than this amount.
The user is encouraged to not pay more than this amount.
The largest allowed amount to be paid. Note that even if this amount is not given or very high, limits from the payment provider or bank will still apply.
Structured invoice data, required for the accounting.* content types
object
Amount that remains to be paid to the supplier
Currency the invoice is issued in, e.g. SEK, EUR, USD
Date by which the invoice is to be paid (YYYY-MM-DD)
Bankgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Plusgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Alphanumeric invoice identifier assigned by the supplier
Invoice number of the original invoice that this reminder or credit note refers to
Date the invoice was issued by the supplier (YYYY-MM-DD)
Reference provided by the buyer, such as a contact person or a project code (“Er referens”)
Identifier of the buyer’s purchase order, used to track the transaction from order to invoice
Name of the company or individual issuing the invoice
Swedish organisation number of the supplier
VAT identification number of the supplier, country prefixed
Street address of the supplier
Postal code of the supplier address
City of the supplier address
Reference to state when paying, either a structured OCR number or free text
object
The reference value, an OCR number or free text depending on reference_type
ocr for a structured OCR number, unstructured for free text
International Bank Account Number of the supplier
Bank Identifier Code (SWIFT code) of the supplier’s bank
Total amount excluding VAT
Total amount including VAT
Total VAT amount
Rounding difference when the total is rounded to the nearest whole currency unit (öresavrundning)
Sum of all document level charges such as shipping, handling or administrative fees
Sum of all document level allowances and discounts
Country of the supplier address, e.g. SE
Reference provided by the supplier, e.g. salesperson or contact person (“Vår referens”)
Full legal name of the company or individual purchasing the goods or services
Swedish organisation number of the buyer
Project code or number associated with the invoice, used for project accounting
Cost center associated with the invoice, used for project accounting
Invoice line items
object
Bookkeeping account number for the line item in the supplier’s revenue tracking
Quantity of goods or services for the line item
Description of the good or service
Unit price excluding VAT
Product identifier (SKU or article number) assigned by the supplier
Line item total, quantity x unit price excluding VAT
Unit of measurement, a standard code such as PCE or HUR, or clear text such as st or tim
VAT rate in percent
Discount for the line item, an amount or a percentage depending on discount_type
Whether discount is a percentage or a fixed amount
Structured invoice data, required for the accounting.* content types
object
Amount that remains to be paid to the supplier
Currency the invoice is issued in, e.g. SEK, EUR, USD
Date by which the invoice is to be paid (YYYY-MM-DD)
Bankgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Plusgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Alphanumeric invoice identifier assigned by the supplier
Invoice number of the original invoice that this reminder or credit note refers to
Date the invoice was issued by the supplier (YYYY-MM-DD)
Reference provided by the buyer, such as a contact person or a project code (“Er referens”)
Identifier of the buyer’s purchase order, used to track the transaction from order to invoice
Name of the company or individual issuing the invoice
Swedish organisation number of the supplier
VAT identification number of the supplier, country prefixed
Street address of the supplier
Postal code of the supplier address
City of the supplier address
Reference to state when paying, either a structured OCR number or free text
object
The reference value, an OCR number or free text depending on reference_type
ocr for a structured OCR number, unstructured for free text
International Bank Account Number of the supplier
Bank Identifier Code (SWIFT code) of the supplier’s bank
Total amount excluding VAT
Total amount including VAT
Total VAT amount
Rounding difference when the total is rounded to the nearest whole currency unit (öresavrundning)
Sum of all document level charges such as shipping, handling or administrative fees
Sum of all document level allowances and discounts
Country of the supplier address, e.g. SE
Reference provided by the supplier, e.g. salesperson or contact person (“Vår referens”)
Full legal name of the company or individual purchasing the goods or services
Swedish organisation number of the buyer
Project code or number associated with the invoice, used for project accounting
Cost center associated with the invoice, used for project accounting
Invoice line items
object
Bookkeeping account number for the line item in the supplier’s revenue tracking
Quantity of goods or services for the line item
Description of the good or service
Unit price excluding VAT
Product identifier (SKU or article number) assigned by the supplier
Line item total, quantity x unit price excluding VAT
Unit of measurement, a standard code such as PCE or HUR, or clear text such as st or tim
VAT rate in percent
Discount for the line item, an amount or a percentage depending on discount_type
Whether discount is a percentage or a fixed amount
Structured invoice data, required for the accounting.* content types
object
Amount that remains to be paid to the supplier
Currency the invoice is issued in, e.g. SEK, EUR, USD
Date by which the invoice is to be paid (YYYY-MM-DD)
Bankgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Plusgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Alphanumeric invoice identifier assigned by the supplier
Invoice number of the original invoice that this reminder or credit note refers to
Date the invoice was issued by the supplier (YYYY-MM-DD)
Reference provided by the buyer, such as a contact person or a project code (“Er referens”)
Identifier of the buyer’s purchase order, used to track the transaction from order to invoice
Name of the company or individual issuing the invoice
Swedish organisation number of the supplier
VAT identification number of the supplier, country prefixed
Street address of the supplier
Postal code of the supplier address
City of the supplier address
Reference to state when paying, either a structured OCR number or free text
object
The reference value, an OCR number or free text depending on reference_type
ocr for a structured OCR number, unstructured for free text
International Bank Account Number of the supplier
Bank Identifier Code (SWIFT code) of the supplier’s bank
Total amount excluding VAT
Total amount including VAT
Total VAT amount
Rounding difference when the total is rounded to the nearest whole currency unit (öresavrundning)
Sum of all document level charges such as shipping, handling or administrative fees
Sum of all document level allowances and discounts
Country of the supplier address, e.g. SE
Reference provided by the supplier, e.g. salesperson or contact person (“Vår referens”)
Full legal name of the company or individual purchasing the goods or services
Swedish organisation number of the buyer
Project code or number associated with the invoice, used for project accounting
Cost center associated with the invoice, used for project accounting
Invoice line items
object
Bookkeeping account number for the line item in the supplier’s revenue tracking
Quantity of goods or services for the line item
Description of the good or service
Unit price excluding VAT
Product identifier (SKU or article number) assigned by the supplier
Line item total, quantity x unit price excluding VAT
Unit of measurement, a standard code such as PCE or HUR, or clear text such as st or tim
VAT rate in percent
Discount for the line item, an amount or a percentage depending on discount_type
Whether discount is a percentage or a fixed amount
Structured invoice data, required for the accounting.* content types
object
Amount that remains to be paid to the supplier
Currency the invoice is issued in, e.g. SEK, EUR, USD
Date by which the invoice is to be paid (YYYY-MM-DD)
Bankgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Plusgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Alphanumeric invoice identifier assigned by the supplier
Invoice number of the original invoice that this reminder or credit note refers to
Date the invoice was issued by the supplier (YYYY-MM-DD)
Reference provided by the buyer, such as a contact person or a project code (“Er referens”)
Identifier of the buyer’s purchase order, used to track the transaction from order to invoice
Name of the company or individual issuing the invoice
Swedish organisation number of the supplier
VAT identification number of the supplier, country prefixed
Street address of the supplier
Postal code of the supplier address
City of the supplier address
Reference to state when paying, either a structured OCR number or free text
object
The reference value, an OCR number or free text depending on reference_type
ocr for a structured OCR number, unstructured for free text
International Bank Account Number of the supplier
Bank Identifier Code (SWIFT code) of the supplier’s bank
Total amount excluding VAT
Total amount including VAT
Total VAT amount
Rounding difference when the total is rounded to the nearest whole currency unit (öresavrundning)
Sum of all document level charges such as shipping, handling or administrative fees
Sum of all document level allowances and discounts
Country of the supplier address, e.g. SE
Reference provided by the supplier, e.g. salesperson or contact person (“Vår referens”)
Full legal name of the company or individual purchasing the goods or services
Swedish organisation number of the buyer
Project code or number associated with the invoice, used for project accounting
Cost center associated with the invoice, used for project accounting
Invoice line items
object
Bookkeeping account number for the line item in the supplier’s revenue tracking
Quantity of goods or services for the line item
Description of the good or service
Unit price excluding VAT
Product identifier (SKU or article number) assigned by the supplier
Line item total, quantity x unit price excluding VAT
Unit of measurement, a standard code such as PCE or HUR, or clear text such as st or tim
VAT rate in percent
Discount for the line item, an amount or a percentage depending on discount_type
Whether discount is a percentage or a fixed amount
Structured invoice data, required for the accounting.* content types
object
Amount that remains to be paid to the supplier
Currency the invoice is issued in, e.g. SEK, EUR, USD
Date by which the invoice is to be paid (YYYY-MM-DD)
Bankgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Plusgiro number to pay to. Invoices and reminders need bankgiro or plusgiro
Alphanumeric invoice identifier assigned by the supplier
Invoice number of the original invoice that this reminder or credit note refers to
Date the invoice was issued by the supplier (YYYY-MM-DD)
Reference provided by the buyer, such as a contact person or a project code (“Er referens”)
Identifier of the buyer’s purchase order, used to track the transaction from order to invoice
Name of the company or individual issuing the invoice
Swedish organisation number of the supplier
VAT identification number of the supplier, country prefixed
Street address of the supplier
Postal code of the supplier address
City of the supplier address
Reference to state when paying, either a structured OCR number or free text
object
The reference value, an OCR number or free text depending on reference_type
ocr for a structured OCR number, unstructured for free text
International Bank Account Number of the supplier
Bank Identifier Code (SWIFT code) of the supplier’s bank
Total amount excluding VAT
Total amount including VAT
Total VAT amount
Rounding difference when the total is rounded to the nearest whole currency unit (öresavrundning)
Sum of all document level charges such as shipping, handling or administrative fees
Sum of all document level allowances and discounts
Country of the supplier address, e.g. SE
Reference provided by the supplier, e.g. salesperson or contact person (“Vår referens”)
Full legal name of the company or individual purchasing the goods or services
Swedish organisation number of the buyer
Project code or number associated with the invoice, used for project accounting
Cost center associated with the invoice, used for project accounting
Invoice line items
object
Bookkeeping account number for the line item in the supplier’s revenue tracking
Quantity of goods or services for the line item
Description of the good or service
Unit price excluding VAT
Product identifier (SKU or article number) assigned by the supplier
Line item total, quantity x unit price excluding VAT
Unit of measurement, a standard code such as PCE or HUR, or clear text such as st or tim
VAT rate in percent
Discount for the line item, an amount or a percentage depending on discount_type
Whether discount is a percentage or a fixed amount
object
Longer description
The uri to open when the user clicks the invitation. The uri must use the secure HTTPS protocol
Who this research is conducted on behalf of
object
Something
A Swedish VAT number (“momsregistreringsnummer”).
The expiration time for the survey, after this date, it will no longer be available.
object
Title to present
Longer description
The uri to open when the user clicks the invitation. The uri must use the secure HTTPS protocol
Who this KYC invite is conducted on behalf of
object
Something
A Swedish VAT number (“momsregistreringsnummer”).
The expiration time for the survey, after this date, it will no longer be available.
The service provider
object
Examples
{ "ssn": "191212121212", "subject": "Sample Invoice to User", "generated_at": "2024-12-12", "type": "invoice", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "payment_multiple_options": { "payable": true, "currency": "SEK", "method": "1", "account": "12345", "swish_alias": "1231231234", "options": [ { "due_date": "2017-01-01", "amount": "123.50", "type": "SE_OCR", "reference": "426523791" } ] }}{ "vat_number": "SE556840226601", "subject": "Sample Invoice to Company", "generated_at": "2024-12-12", "type": "invoice", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "payment_multiple_options": { "payable": false, "currency": "SEK", "method": "1", "account": "1234566", "swish_alias": "1231231234", "options": [ { "due_date": "2017-01-01", "amount": "123.50", "type": "SE_OCR", "reference": "426523791" } ] }}{ "vat_number": "SE556840226601", "subject": "Invoice to Company", "generated_at": "2026-10-31", "type": "accounting.invoice", "parts": [ { "name": "invoice.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "invoice.html", "data": "PGgxPkNvbXBhbnkgSW52b2ljZTwvaDE+CjxwPkRldGFpbHMgaGVyZTwvcD4=", "content_type": "text/html" } } ], "invoice": { "invoice_number": "INV-2024-001", "invoice_date": "2026-10-31", "currency": "SEK", "due_date": "2026-11-30", "buyer_reference": "REF-12345", "buyer_name": "Example Corp AB", "buyer_organisation_number": "556013-0717", "order_number": "ORD-2024-789", "project_reference": "PROJ-42", "cost_center_reference": "CC-100", "supplier_name": "Supplier AB", "supplier_reference": "Anna Andersson", "supplier_organisation_number": "556840-2266", "supplier_vat_number": "SE556840226601", "supplier_address_street": "Stora gatan 123", "supplier_address_postal_code": "11122", "supplier_address_city": "Stockholm", "supplier_address_country": "SE", "payment_reference": { "value": "123456789012345", "reference_type": "ocr" }, "bankgiro": "991-2346", "plusgiro": "837700-4", "iban": "SE4550000000058398257466", "bic": "ESSESESS", "rows": [ { "account": "3001", "quantity": "2", "description": "Consulting hours", "price": "500.00", "product_number": "SKU-001", "total": "1000.00", "unit": "HUR", "vat": "25", "discount": "10", "discount_type": "percent" }, { "description": "Product X", "quantity": "1", "price": "150.00", "total": "150.00", "vat": "25" } ], "total_amount_tax_exclusive": "1000.00", "total_vat_amount": "250.00", "total_amount_charge": "50.00", "total_amount_discount": "100.00", "total_amount_tax_inclusive": "1250.00", "rounding_amount": "0.00", "total_amount_due": "1250.00" }}{ "vat_number": "SE556840226601", "subject": "Invoice to Company", "generated_at": "2026-10-31", "type": "accounting.invoicereminder", "parts": [ { "name": "invoice.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "invoice.html", "data": "PGgxPkNvbXBhbnkgSW52b2ljZTwvaDE+CjxwPkRldGFpbHMgaGVyZTwvcD4=", "content_type": "text/html" } } ], "invoice": { "invoice_number": "INV-2024-002", "original_invoice_number": "INV-2024-001", "invoice_date": "2026-10-31", "currency": "SEK", "due_date": "2026-11-30", "buyer_reference": "REF-12345", "buyer_name": "Example Corp AB", "buyer_organisation_number": "556013-0717", "order_number": "ORD-2024-789", "project_reference": "PROJ-42", "cost_center_reference": "CC-100", "supplier_name": "Supplier AB", "supplier_reference": "Anna Andersson", "supplier_organisation_number": "556840-2266", "supplier_vat_number": "SE556840226601", "supplier_address_street": "Stora gatan 123", "supplier_address_postal_code": "11122", "supplier_address_city": "Stockholm", "supplier_address_country": "SE", "payment_reference": { "value": "123456789012345", "reference_type": "ocr" }, "bankgiro": "991-2346", "plusgiro": "837700-4", "iban": "SE4550000000058398257466", "bic": "ESSESESS", "rows": [ { "account": "3001", "quantity": "2", "description": "Consulting hours", "price": "500.00", "product_number": "SKU-001", "total": "1000.00", "unit": "HUR", "vat": "25", "discount": "10", "discount_type": "percent" }, { "description": "Product X", "quantity": "1", "price": "150.00", "total": "150.00", "vat": "25" } ], "total_amount_tax_exclusive": "1000.00", "total_vat_amount": "250.00", "total_amount_charge": "50.00", "total_amount_discount": "100.00", "total_amount_tax_inclusive": "1250.00", "rounding_amount": "0.00", "total_amount_due": "1250.00" }}{ "vat_number": "SE556840226601", "subject": "Credit invoice to Company", "generated_at": "2026-10-31", "type": "accounting.invoicecreditnote", "parts": [ { "name": "invoice.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "invoice.html", "data": "PGgxPkNvbXBhbnkgSW52b2ljZTwvaDE+CjxwPkRldGFpbHMgaGVyZTwvcD4=", "content_type": "text/html" } } ], "invoice": { "currency": "SEK", "total_amount_due": "1250.00", "invoice_number": "INV-2024-002", "original_invoice_number": "INV-2024-001", "invoice_date": "2026-10-31", "due_date": "2026-11-30", "buyer_reference": "REF-12345", "buyer_name": "Example Corp AB", "buyer_organisation_number": "556013-0717", "order_number": "ORD-2024-789", "project_reference": "PROJ-42", "cost_center_reference": "CC-100", "supplier_name": "Supplier AB", "supplier_reference": "Anna Andersson", "supplier_organisation_number": "556840-2266", "supplier_vat_number": "SE556840226601", "supplier_address_street": "Stora gatan 123", "supplier_address_postal_code": "11122", "supplier_address_city": "Stockholm", "supplier_address_country": "SE", "payment_reference": { "value": "123456789012345", "reference_type": "ocr" }, "bankgiro": "991-2346", "plusgiro": "837700-4", "iban": "SE4550000000058398257466", "bic": "ESSESESS", "rows": [ { "account": "3001", "quantity": "2", "description": "Consulting hours", "price": "500.00", "product_number": "SKU-001", "total": "1000.00", "unit": "HUR", "vat": "25", "discount": "10", "discount_type": "percent" }, { "description": "Product X", "quantity": "1", "price": "150.00", "total": "150.00", "vat": "25" } ], "total_amount_tax_exclusive": "1000.00", "total_vat_amount": "250.00", "total_amount_charge": "50.00", "total_amount_discount": "100.00", "total_amount_tax_inclusive": "1250.00", "rounding_amount": "0.00" }}{ "ssn": "191212121212", "subject": "Sample Invoice to User", "generated_at": "2024-12-12", "type": "invoice", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } }, { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "payment_multiple_options": { "payable": true, "currency": "SEK", "account": "123456", "method": "1", "swish_alias": "disable", "options": [ { "due_date": "2024-02-29", "amount": "4711.23", "type": "SE_OCR", "reference": "771554193", "title": "Option 1", "description": "The first options in this invoice.", "icon": { "name": "this_will_be_ignored.png", "content_type": "image/png", "data": "Base64-encoded string with PNG data" } }, { "due_date": "2024-03-31", "amount": "11147.42", "type": "SE_OCR", "reference": "771554194", "title": "Option 2", "description": "The second options in this invoice.", "icon": { "name": "this_will_be_ignored.png", "content_type": "image/png", "data": "A different base64-encoded string with PNG data" } } ] }}{ "ssn": "191212121212", "subject": "Flexible Invoice to User", "generated_at": "2024-12-12", "type": "invoice", "parts": [ { "name": "filename.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf" } ], "payment_multiple_options": { "payable": true, "currency": "SEK", "account": "123456", "method": "1", "options": [ { "due_date": "2024-02-29", "amount": "4711.23", "type": "SE_OCR", "reference": "771554193", "title": "Option 1", "description": "The first options in this invoice.", "icon": { "name": "this_will_be_ignored.png", "content_type": "image/png", "data": "Base64-encoded string with PNG data" } } ], "flexible_option": { "due_date": "2024-02-29", "type": "SE_OCR", "reference": "771554195", "title": "Flexible Option", "description": "A flexible option.", "icon": { "name": "this_will_be_ignored.png", "content_type": "image/png", "data": "Base64-encoded string with PNG data" }, "min_limit": "17.00", "min_suggested": "23.50", "max_suggested": "235.00", "max_limit": "500" } }}{ "ssn": "191212121212", "subject": "Sample Content to User", "generated_at": "2024-12-12", "type": "letter", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } }, { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ]}{ "email": "someone@example.com", "subject": "Sample Letter to User (identified by email)", "generated_at": "2024-12-12", "type": "letter", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } }, { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ]}{ "ssn": "191212121212", "subject": "Sample Payslip to User", "generated_at": "2024-12-12", "type": "letter.salary", "retain": true, "retention_time": "390", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } }, { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ]}Salary slip with structured metadata
{ "ssn": "191212121212", "subject": "Salary Slip - January 2026", "type": "salaryslip", "generated_at": "2025-01-31", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "salaryslip": { "document_metadata": { "creation_timestamp": "2025-01-31T10:00:00Z", "source_system": "Advanced Payroll System v2.0" }, "employment": { "start_date": "2025-01-01", "type": "Full-time", "weekly_hours": "40.0", "organizational_unit_identifier": "DEPT-IT-001", "employer": { "legal_name": "Advanced Tech Solutions AB", "legal_identifiers": { "vat_number": "SE556789012301", "org_number": "556789-0123" }, "contact_information": { "address": { "street_address": "Storvägen 5", "postal_code": "164 40", "city": "Kista", "country": "Sweden" }, "email_address": "hr@advancedtechsolutions.se", "telephone_number": "+46707070707" } } }, "pay_period": { "start_date": "2026-01-01", "end_date": "2026-01-31", "payout_date": "2026-02-25", "total_hours_worked": "176.0", "overtime_hours": "8.0", "basic_contractual_salary": { "monetary_amount": "30500", "currency": "SEK" }, "gross_pay": { "monetary_amount": "35500", "currency": "SEK" }, "tax_deducted": { "monetary_amount": "7810", "currency": "SEK" }, "net_pay": { "monetary_amount": "27690", "currency": "SEK" }, "effective_tax_rate_percentage": "22.00", "vacation_pay": { "monetary_amount": "1500", "currency": "SEK" }, "additional_payments": [ { "type": "Overtime compensation", "monetary_amount": "2000", "currency": "SEK" }, { "type": "Performance bonus", "monetary_amount": "3000", "currency": "SEK" } ], "absences": [ { "type": "Sick leave", "duration_in_hours": "16.0" } ], "employee_benefits": [ { "type": "Healthcare", "monetary_amount": "500", "currency": "SEK", "description": "Company healthcare insurance - Full coverage" }, { "type": "Meal vouchers", "monetary_amount": "330", "currency": "SEK", "description": "Meal vouchers - 15 SEK per day for 22 working days" }, { "type": "Pension contribution", "monetary_amount": "2485", "currency": "SEK", "description": "Employer pension contribution (7.00% of gross salary) to Pension Fund AB" }, { "type": "Gym membership", "monetary_amount": "200", "currency": "SEK", "description": "Company-sponsored gym membership" } ] }, "tax_information": { "tax_code": { "identifier": "30", "schema": "Swedish Tax Code" }, "tax_deduction_details": { "is_main_income": true, "details_provided_by": "employer" } }, "recipient_account": { "identifier": "SE1234567890123456789012", "schema": "IBAN", "bank_name": "Bank AB" }, "holidays": { "period": { "start_date": "2025-01-01", "end_date": "2026-12-31" }, "total_days_entitled": "25", "days_saved_from_previous_years": "0", "days_used_in_period": "5", "days_remaining_in_period": "20" }, "yearly_accumulated_gross_pay": { "monetary_amount": "35500", "currency": "SEK" }, "yearly_accumulated_taxes": { "monetary_amount": "7810", "currency": "SEK" } }}{ "ssn": "191212121212", "subject": "Sample Creditnotice to User", "generated_at": "2024-12-12", "type": "letter.creditnotice", "retain": true, "retention_time": "30", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } }, { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ]}{ "ssn": "191212121212", "subject": "Sample Booking to User", "generated_at": "2024-12-12", "type": "booking", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } }, { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "booking": { "title": "Appointment", "start_time": "2026-12-12T10:00:00Z", "end_time": "2026-12-12T11:00:00Z", "location": "Somewhere", "description": "More details", "info_url": "url" }}{ "ssn": "191212121212", "subject": "Sample Debtcampaign Invoice to User", "generated_at": "2024-12-12", "type": "invoice.debtcampaign", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "payment_multiple_options": { "payable": true, "currency": "SEK", "method": "1", "account": "12345", "options": [ { "due_date": "2017-01-01", "amount": "123.50", "type": "SE_OCR", "reference": "426523791" } ] }}{ "ssn": "191212121212", "subject": "Sample Invoice Reminder to User", "generated_at": "2024-12-12", "type": "invoice.reminder", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "payment_multiple_options": { "payable": true, "currency": "SEK", "method": "1", "account": "12345", "options": [ { "due_date": "2017-01-01", "amount": "123.50", "type": "SE_OCR", "reference": "426523791" } ] }}{ "ssn": "191212121212", "subject": "Sample Invoice Renewal to User", "generated_at": "2024-12-12", "type": "invoice.renewal", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "payment_multiple_options": { "payable": true, "currency": "SEK", "method": "1", "account": "12345", "options": [ { "due_date": "2017-01-01", "amount": "123.50", "type": "SE_OCR", "reference": "426523791" } ] }}{ "ssn": "191212121212", "subject": "Sample Invoice Donation to User", "generated_at": "2024-12-12", "type": "invoice.donation", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "payment_multiple_options": { "payable": true, "currency": "SEK", "method": "1", "account": "12345", "options": [ { "due_date": "2017-01-01", "amount": "123.50", "type": "SE_OCR", "reference": "426523791" } ] }}{ "ssn": "191212121212", "subject": "Sample Invoice Payment Notice to User", "generated_at": "2024-12-12", "type": "invoice.paymentnotice", "parts": [ { "name": "document.pdf", "data": "REVBREJFRUY=", "content_type": "application/pdf", "responsive_part": { "name": "document.html", "data": "PGgxPmNvbnRlbnQgMTwvaDE+CjxwPmNvbnRlbnQgMTwvcD4=", "content_type": "text/html" } } ], "paymen
[...]
